#include <stdlib.h>
#include <stdio.h>
#include <SDL2/SDL.h>

/* this test is for open a new window*/

const int SCREEN_WIDTH = 640;
const int SCREEN_HEIGHT = 480;

int main(int argc, char *argv[])
{
    SDL_Surface* screenSurface = NULL;

    if (SDL_Init(SDL_INIT_VIDEO) == -1)  // 加载SDL；如果出错
    {
        fprintf(stderr, "SDL initialiser faute : %s\n", SDL_GetError());  // 打印错误信息
        exit(EXIT_FAILURE);  // 出错退出程序
    }

    // 创建一个窗口，宽640像素，高480像素
    SDL_Window *screen = SDL_CreateWindow("Perudo",
                                          SDL_WINDOWPOS_UNDEFINED,
                                          SDL_WINDOWPOS_UNDEFINED,
                                          SCREEN_WIDTH, SCREEN_HEIGHT,
                                          SDL_WINDOW_SHOWN);

    if(screen) // 如果创建窗口成功
    {
        screenSurface = SDL_GetWindowSurface(screen); // 获得窗口的表面

        SDL_FillRect(screenSurface, NULL, SDL_MapRGB(screenSurface->format, 239, 206, 112)); // 用指定颜色填充此表面

        SDL_UpdateWindowSurface(screen);  // 刷新窗口表面

        SDL_Delay(10000); // 使窗口保持10秒

        SDL_DestroyWindow(screen); // 销毁窗口
    }
    else
    {
        fprintf(stderr, "problem of creat a windows: %s\n", SDL_GetError()); // 打印错误信息
    }

    SDL_Quit();  // 卸载SDL

    return EXIT_SUCCESS;  // 顺利退出程序
}


